<!-- 任务中心 -->
<template>
	<view class="container">
		<!-- <u-navbar :background="background" :is-back="false" :title="title" :border-bottom="false"></u-navbar> -->
		<view class="task_bg u-relative">
			<u-image class="task_bg" src="../../static/images/task/member_bg.png" ></u-image>
			<view class="title ">每月打卡免费领</view>
		</view>
		
		
		<view class="content  bg-white u-relative" v-if="list.length">
			<view class="title">
				<view>打卡奖励</view>
				<view class="tip">每月免费领</view>
			</view>
			<view class="cell flex justify-between" v-for="(item,index) in list" :key="index"  >
				<view class="cell_left flex">
					<image class="cell_icon" :src="'../../static/images/task/member_bg.png'"></image>
					<view class="cell_title flex">
						<view class="u-font-28 text-bold title">{{ item.title}}</view>
						<view class="u-font-24 tip">{{ item.rewardDetail  }}</view>
					</view>
				</view>
			</view>

		</view>
	
	</view>
</template>

<script>
	export default {
		
		data() {
			return {
				title: '',
				background: {
					backgroundImage: 'linear-gradient(to right, #DDEAFC 0%, #C8DBFA 49%, #AFC9F6 100%)'
				},
				list: [],
			
				isShowMoneyPay: true,
			}
		},
		onShow() {
			this.getTaskdata()
			this.$Request.getT("app/common/type/919", {}).then(res => {
				if (res.code == 0) {
					const sysInfo = uni.getSystemInfoSync();
					let isIos = sysInfo.platform == 'ios'
					this.isShowMoneyPay = !(res.data.value == '1' && isIos)
				}
			});
		},
		methods: {
			/**
			 * 跳转
			 * @param {Object} item
			 */
			goNav( item ) {
				// jumpType (integer, optional): 跳转类型 1 内部路径 2 外部路径 ,
				// type (integer, optional): 任务类型 1 普通任务 2 打卡任务 9 其它 ,
				// buttonUrl
				if ( item.jumpType == 0) {
					this.taskReceive(item.id)
				} else if ( item.jumpType == 1) {
					uni.navigateTo({
						url: item.buttonUrl
					})
				} else if( item.jumpType == 3) {
					uni.switchTab({
						url: item.buttonUrl
					})
				} else if( item.jumpType == 2) {
					plus.runtime.openURL(item.buttonUrl)
				}
				
			},
			
			/**
			 * 领取
			 */
			taskReceive(id) {
				let data = {
					id: id
				}
				this.$Request.getT('app/taskCenter/taskReceive', data).then(res => {
					if (res.code == 0 ) {
						uni.showToast({
							title: id==15?'签到成功':'领取成功',
							icon: 'none'
						})
						setTimeout(()=>{
							this.getTaskdata()
							this.getsignIn()
						},1000)
					} else {
						uni.switchTab({
							url: "/pages/index/index"
						})
					}
				})
			},
			
			/**
			 * 获取任务列表
			 */
			getTaskdata() {
			
				this.$Request.getT('app/taskCenter/selectTaskCenter', {}).then(res => {
					if (res.code == 0 ) {
						this.list = res.data
					}
					uni.stopPullDownRefresh();
				})
			},
			
		}
	}
</script>

<style lang="scss">
	.container{
		width: 100%;
		height: 100vh;
		// display: flex;
		// flex-direction: column;
		.task_bg{
			width: 100%!important;
			height: 470rpx!important;
			position: relative;
			.title{
				width: 314rpx;
				height: 72rpx;
				line-height: 72rpx;
				text-align: center;
				border-radius: 108rpx 108rpx 108rpx 108rpx;
				border: 6rpx solid #3D6DC6;
				font-weight: bold;
				font-size: 34rpx;
				color: #3D6DC6;
				position: absolute;
				top: 210rpx;
				left: 26rpx;
			}
		}
		
		.content{
			height: calc(100% - 410rpx);
			border-radius: 16rpx;
			top: -60rpx;
			z-index: 9;
			padding: 64rpx 28rpx;
			background: linear-gradient( -45deg, #DDEAFC 0%, #FFFFFF 100%);
			border-radius: 32rpx 32rpx 0rpx 0rpx;
			overflow-y: auto;
			.title{
				display: flex;
				align-items: center;
				font-weight: bold;
				font-size: 32rpx;
				color: #333333;
				margin-bottom: 22rpx;
				.tip{
					font-weight: 400;
					font-size: 24rpx;
					color: #666666;
					margin-left: 10rpx;
				}
			}
			.cell{
				align-items: center;
				background: linear-gradient( 90deg, #FFF4E0 0%, #FFFBF5 100%);
				border-radius: 8rpx 8rpx 8rpx 8rpx;
				margin-bottom: 32rpx;
				padding: 32rpx 28rpx;
				.cell_left{
					flex-direction: row;
					.cell_icon{
						width: 84rpx!important;
						height: 84rpx!important;
						margin-right: 30rpx;
						border-radius: 4rpx!important;
					}
					.cell_title{
						display: flex;
						flex-direction: column;
						align-items: flex-start;
						margin-bottom: 12rpx;
						color: #333;
						.title{
							font-weight: bold;
							font-size: 28rpx;
							color: #333333;
							margin-bottom: 8rpx;
						}
						
						.tip{
							font-weight: 400;
							font-size: 24rpx;
							color: #999999;
						}
					}
					
				}
				.cell_right{
					flex-direction: column;
					align-items: center;
					flex-shrink: 0;
					margin-left: 20rpx;
					.btn{
						width: 148rpx;
						height: 56rpx;
						line-height: 56rpx;
						text-align: center;
						background: #6DA9F7;
						border-radius: 12rpx 12rpx 12rpx 12rpx;
						font-weight: 500;
						font-size: 24rpx;
						color: #FFFFFF;
						border: 2rpx solid transparent;
					}
					
					.opt{
						color: #D39B7E;
						background-color: #FBF3EB;
					}
					.disabled{
						color: #999999;
						background-color: #E2E2E2;
					}
					.receive{
						background: rgba(178,223,255,0.62);
						border: 2rpx solid #6DA9F7;
						color: #6DA9F7;
					}
				}
				
			}
			.cell:last-child{
				border-bottom: none;
			}
		}
	
	}
	

</style>